Request OCR and NLP processing
curl --request POST \
--url https://api.amplify.xyz/v1/ai/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "01KKTE796DZDD1XET84QTPJJCR",
"direction": "outbound",
"type": "OCR"
}
'import requests
url = "https://api.amplify.xyz/v1/ai/process"
payload = {
"job_id": "01KKTE796DZDD1XET84QTPJJCR",
"direction": "outbound",
"type": "OCR"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({job_id: '01KKTE796DZDD1XET84QTPJJCR', direction: 'outbound', type: 'OCR'})
};
fetch('https://api.amplify.xyz/v1/ai/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Fax NLP request submitted successfully"
}OCR and NLP
Request OCR and NLP processing
Request OCR or NLP processing for a fax.
POST
/
v1
/
ai
/
process
Request OCR and NLP processing
Provide the required
job_id, direction, and type fields. Set direction to inbound or outbound. The type value is case-sensitive and accepts OCR or NLP. Authenticate with a Bearer access token.
The current API returns
Fax NLP request submitted successfully after both OCR and NLP submissions. For OCR requests, use the HTTP status and status field to determine success.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
